%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:                jboss-websocket-1.1-api
Version:             1.1.1
Release:             1
Summary:             JSR-356: Java WebSocket 1.1 API
License:             CDDL or GPLv2 with exceptions
Url:                 https://github.com/jboss/jboss-websocket-api_spec
Source0:             https://github.com/jboss/jboss-websocket-api_spec/archive/%{namedversion}.tar.gz
BuildRequires:       maven-local mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.jboss:jboss-parent:pom:)
BuildArch:           noarch
%description
The JSR-356: Java WebSocket 1.1 API classes.

%package javadoc
Summary:             Javadoc for jboss-websocket-1.1-api
%description javadoc
This package contains the API documentation for jboss-websocket-1.1-api.

%prep
%setup -q -n jboss-websocket-api_spec-%{namedversion}
%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE README

%files javadoc -f .mfiles-javadoc
%license LICENSE README

%changelog
* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 1.1.1-1
- package init
